.coverLoader{
    position: fixed;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    background-color: #000000b6;
    backdrop-filter: blur(10px);
    z-index: 888888888;
    animation: 4s 1s cover forwards;
}
@keyframes cover {
    70% {opacity: 1; background-color: #302f2f09;  }
    100% {opacity: 0;pointer-events: none;display: none; visibility: hidden;}
}


.imageCirculationDiv {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 200px;
  height: 200px;
  border-radius: 50%;
}


.imageCirculationDiv .circle-border {
  width:170px;
  height: 170px;
  border: 3px solid #ffffffe8;
  border-radius: 50%;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0px 0px 5px #00000071 inset;
  background: radial-gradient(circle, #2e2e2e,#e2e2e2); 
  backdrop-filter: blur(15px);
}


.imageCirculationDiv .image {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
}


.imageCirculationDiv .image img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.imageCirculationDiv .orbit {
  border-radius: 50%;
  position: absolute;
  width: 180px;
  height: 180px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  animation: rotate-orbit 4s linear infinite;
  z-index: 2;
}


.imageCirculationDiv .circle {
  position: absolute;
  width: 16px;
  height: 16px;
  background: green; 
  border-radius: 50%;
  border:3px solid white;
  top: 0;
  left: 50%;
  transform: translate(-50%, 0);
}

@keyframes rotate-orbit {
  0% { transform: translate(-50%, -50%) rotate(0deg)}
  100% {transform: translate(-50%, -50%) rotate(360deg)}
}

 
 
 .shimmer {
    position: absolute;
    top: 0;
    left: -150px;
    width: 150px;
    height: 100%;
    z-index: 888888888;
    background: linear-gradient(to right,transparent 0%,#ffffff66 50%,transparent 100%);
    animation: shimmer 11s 1.5s ease  infinite;
    overflow: hidden;
  }

  @keyframes shimmer {
    0% { transform: translateX(-3%); }
    100% { transform: translateX(3000px) scale(0); }
  }

